package com.pack.modeler.structures;

import au.edu.qut.processmining.miners.splitminer.ui.dfgp.DFGPUIResult;
import au.edu.qut.processmining.miners.splitminer.ui.miner.SplitMinerUIResult;

public class MethodParameters {
    private double percentileFrequencyThreshold;
    private double parallelismsThreshold;
    private DFGPUIResult.FilterType filterType;
    private boolean parallelismsFirst;
    private boolean replaceIORs;
    private boolean removeLoopActivities;
    private SplitMinerUIResult.StructuringTime structuringTime;

    public double getParallelismsThreshold() {
        return parallelismsThreshold;
    }

    public double getPercentileFrequencyThreshold() {
        return percentileFrequencyThreshold;
    }

    public DFGPUIResult.FilterType getFilterType() {
        return filterType;
    }

    public SplitMinerUIResult.StructuringTime getStructuringTime() {
        return structuringTime;
    }

    public boolean isParallelismsFirst() {
        return parallelismsFirst;
    }

    public boolean isRemoveLoopActivities() {
        return removeLoopActivities;
    }

    public boolean isReplaceIORs() {
        return replaceIORs;
    }
}
